[MediaWiki-l] My wiki stopped working

Nomad of Norad nomad-php at joshua-wopr.com
Tue Dec 29 08:21:07 UTC 2015



On 12/28/2015 8:21 AM, Greg Sabino Mullane wrote:
>> Okay, a few weeks ago my wiki stopped loading.  The version I've got
>> installed there is ancient, but it was working fine until one day it
>> wasn't.
> ...
>> Parse error: syntax error, unexpected T_NAMESPACE, expecting T_STRING in
>> /hermes/bosoraweb123/b65/ipw.joshua-w/public_html/wiki/includes/Namespace.php
>> on line 46
> Your PHP was upgraded, and the old MediaWiki software will not work with it.
> One of the reasons is that "namespace" is now a reserved word. The best
> and easiest solution is to upgrade your wiki, but there are others:
>
> http://blog.endpoint.com/2015/11/broken-wikis-due-to-php-and-mediawiki.html
>

(Grrrrr.... didn't notice the reply I made was being sent to Greg's 
email address and NOT to the list. Sending it again now to them both.)

Okay, that link describes exporting the DB and installing it into a 
different wiki installation.  I'm assuming you meant that as a 
different, alternate solution to simply installing the newest version of 
the wiki to my existing space.

I CAN just install the newest version of Mediawiki into my webspace and 
it will update the DB stuff and then just run like normal as a wiki with 
it, right?




More information about the MediaWiki-l mailing list